basis_on_pointset.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation_value(T, Value)
#define | _RHEOLEF_instanciation(T)

## Macro Definition Documentation

## _RHEOLEF_instanciation_value

#define _RHEOLEF_instanciation_value | ( |  | T,
|  |  | Value
| ) |  |

Value:
template \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& \
basis_on_pointset_rep<T>::evaluate (reference_element hat_K) const; \
template \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& \
basis_on_pointset_rep<T>::evaluate_on_side ( \
reference_element hat_K, \
const side_information_type& sid) const; \
template \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& \
basis_on_pointset_rep<T>::grad_evaluate (reference_element hat_K) const; \
template \
const Eigen::Matrix<Value,Eigen::Dynamic,Eigen::Dynamic>& \
basis_on_pointset_rep<T>::grad_evaluate_on_side ( \
reference_element hat_K, \
const side_information_type& sid) const; \

Definition at line 548 of file basis_on_pointset.cc.

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template class basis_on_pointset<T>; \
template class basis_on_pointset_rep<T>; \
_RHEOLEF_instanciation_value(T,T) \
_RHEOLEF_instanciation_value(T,point_basic<T>) \
_RHEOLEF_instanciation_value(T,tensor_basic<T>) \
_RHEOLEF_instanciation_value(T,tensor3_basic<T>) \
_RHEOLEF_instanciation_value(T,tensor4_basic<T>) \

Definition at line 566 of file basis_on_pointset.cc.

rheolef::evaluate_on_side
void evaluate_on_side(const geo_basic< float_type, M > &omega_K, const geo_element &K, const side_information_type &sid, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const
Definition: field_expr_recursive.h:894
rheolef::evaluate
void evaluate(const geo_basic< float_type, M > &omega_K, const geo_element &K, Eigen::Matrix< Result, Eigen::Dynamic, 1 > &value) const
Definition: field_expr_recursive.h:873
T
Expr1::float_type T
Definition: field_expr.h:218